Skip to main content
POST
cURL

授权

Authorization
string
header
必填

Use your Bright Data API Key as a Bearer token in the Authorization header.

How to authenticate:

  1. Obtain your API Key from the Bright Data account settings
  2. Include the API Key in the Authorization header of your requests
  3. Format: Authorization: Bearer YOUR_API_KEY

Example:

Learn how to get your Bright Data API key

查询参数

zone
string
必填

The name of your Bright Data Unlocker zone.

customer
string

Your Bright Data account ID.

请求体

application/json
url
string<uri>
必填

Defines the url of the request

示例:

"https://geo.brdtest.com/welcome.txt"

method
string

Defines the HTTP method of the request

headers
object

Defines headers to be used in the request

body

Defines body to be sent with request. If an object is specified, it is serialized to JSON, and Content-Type header is set to application/json.

country
string

Defines country to be used for request (2-letters code)

示例:

"US"

webhook_url
string<uri>

Defines the URL to which the job status notification will be sent. If you don’t want to setup a default webhook or prefer the URL to be different per request, use this.

webhook_method
string

Defines the HTTP method to use with the webhook_url (GET or POST)

webhook_data
any

Defines the data that will be sent with job status notification

debug
boolean
默认值:false

Set to true to return the x-brd-debug header. The header is returned by GET /unblocker/get_result when you collect the response, not on this submit call. See Debugging Web Unlocker API.

示例:

true

响应

200 - application/json

OK

response_id
string

Defines the job id.

示例:

"s4t7w3619285042ra9dke1m8qx"